Page MenuHomePhabricator

Display conflicting lines side by side and same lines over the whole page layout
Closed, ResolvedPublic8 Story Points

Description

Task
In the prototype, display text lines the following way:

  • the order of the columns is other version, your version (i.e. older is to the left, newer to the right, just like it is on diff page)
  • no changes in the text: As one box that goes over the whole width of the page, greyed out
  • conflicting changes: As boxes next to each other, on a per-line basis, with the color code yellow/blue as it exists on the diff page
  • For the first version of this feature, we don't differentiate between empty and filled line treatment
  • The text in the hint should be updated to T195712
  • The text above the your version column should adapted to T195716

Overall mock:
For some reason it is always a mystery, but if you click on it, it resolves itself

Notes

  • For implementation we need a config switch that allows switching between classes of currently used TwoColConflict and the new version of TwoColConflict
  • There is already a class that creates an array of line change comparisons. This could be a good source for creating the view, just keep on the lookout what it does to newlines

Details

Related Gerrit Patches:
mediawiki/extensions/TwoColConflict : masterDisplay conflicting lines side by side

Event Timeline

Lea_WMDE triaged this task as Medium priority.Jun 26 2018, 1:14 PM
Lea_WMDE created this task.
JStrodt_WMDE updated the task description. (Show Details)Jul 3 2018, 9:26 AM

Change 446870 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/TwoColConflict@master] [WIP] Display conflicting lines side by side

https://gerrit.wikimedia.org/r/446870

WMDE-Fisch updated the task description. (Show Details)Jul 23 2018, 1:27 PM
WMDE-Fisch updated the task description. (Show Details)Jul 23 2018, 1:30 PM

Change 446870 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Display conflicting lines side by side

https://gerrit.wikimedia.org/r/446870

WMDE-Fisch added a subscriber: WMDE-Fisch.

I can demo this during sprint planing. - We should discuss a way how to demo the new interface properly.

Lea_WMDE closed this task as Resolved.Aug 3 2018, 6:48 AM

We did not explicitely check if the text in the hint for feedback is the right one. Could someone (@WMDE-Fisch, @thiemowmde, @Andrew-WMDE @jkroll ) please double check that the text is corrected? Thanks!

JStrodt_WMDE reopened this task as Open.Aug 6 2018, 6:50 AM

We did not explicitely check if the text in the hint for feedback is the right one. Could someone (@WMDE-Fisch, @thiemowmde, @Andrew-WMDE @jkroll ) please double check that the text is corrected? Thanks!

Reopening. Please close this task again after double checking.

WMDE-Fisch closed this task as Resolved.Aug 7 2018, 9:18 AM

According to T195712 the text should be Thank you for using this beta feature. You can help to improve it further, if you leave feedback on this page. with on this page as link to https://www.mediawiki.org/wiki/Help_talk:Two_Column_Edit_Conflict_View - That's the case :-)